| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::TagList Class Reference
Inheritance diagram for Digikam::TagList:

## Public Member Functions
| TagList (TagMngrTreeView *const treeView, QWidget *const parent)
void | enableAddButton (bool value)
| disable Add Button when selection is empty or only root tag is selected.
void | restoreSettings ()
| read settings from digikam_tagsmanagerrc config and populate model with data.
void | saveSettings ()
| save settings to digiKam_tagsmanagerrc KConfig.

## Member Function Documentation

## ◆ restoreSettings()

void Digikam::TagList::restoreSettings | ( |  | ) |

If config is empty add generic All Tags

Use this map to find all List Items that contain specific tag usually to remove deleted tag

"All Tags" item should be selected